Colt 1.2.0

## cern.colt.buffer
Class DoubleBuffer2D

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.buffer.DoubleBuffer2D

All Implemented Interfaces:
  Cloneable, DoubleBuffer2DConsumer, Serializable

public class DoubleBuffer2D
extends PersistentObject
implements DoubleBuffer2DConsumer

Fixed sized (non resizable) streaming buffer connected to a target `DoubleBuffer2DConsumer` to which data is automatically flushed upon buffer overflow.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Constructor Summary
`DoubleBuffer2D(DoubleBuffer2DConsumer target, int capacity)` Constructs and returns a new buffer with the given target.

Method Summary
`void` | `add(double x, double y)` Adds the specified point (x,y) to the receiver.
`void` | `addAllOf(DoubleArrayList x, DoubleArrayList y)` Adds all specified points (x,y) to the receiver.
`void` | `clear()` Sets the receiver's size to zero.
`void` | `flush()` Adds all internally buffered points to the receiver's target, then resets the current buffer size to zero.

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleBuffer2D

    public DoubleBuffer2D(DoubleBuffer2DConsumer target,
                          int capacity)

  Constructs and returns a new buffer with the given target.

Parameters:
  `target` - the target to flush to.
  `capacity` - the number of points the buffer shall be capable of holding before overflowing and flushing to the target.

Method Detail

### add

    public void add(double x,
                    double y)

  Adds the specified point (x,y) to the receiver.

  Parameters:
    `x` - the x-coordinate of the point to add.
    `y` - the y-coordinate of the point to add.

### addAllOf

    public void addAllOf(DoubleArrayList x,
                         DoubleArrayList y)

  Adds all specified points (x,y) to the receiver.

  Specified by:
    `addAllOf` in interface `DoubleBuffer2DConsumer`
  Parameters:
    `x` - the x-coordinates of the points to add.
    `y` - the y-coordinates of the points to add.

### clear

    public void clear()

  Sets the receiver's size to zero. In other words, forgets about any internally buffered elements.

### flush

    public void flush()

  Adds all internally buffered points to the receiver's target, then resets the current buffer size to zero.

Colt 1.2.0

Jump to the Colt Homepage